<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Largest even number in an array</title>
</head>

<body>
    <div class="form" style="margin: 20% 40%;">
        <form>
            <input type="number" id="data">
            <input type="button" onclick="calculate()" value="add">
            <input type="button" onclick="largest()" value="check">
        </form>
        <div id="show">

        </div>
    </div>

    <script>
        var arr1 = [];

        function calculate() {

            var num1 = document.getElementById("data").value;
            if (num1 == "") {
                alert("please provide data");
            } else {
                arr1.push(num1);
                document.getElementById("show").innerHTML = arr1.join("<br>");
            }
        }

        function largest() {
            var arr2 = [];
            var j = 0;
            if (arr1.length > 0) {
                for (var i = 0; i < arr1.length; i++) {
                    if (arr1[i] % 2 == 0) {
                        arr2[j] = arr1[i];
                        j++;
                    }
                }
                j = 0;
                for (i = 0; i < arr2.length; i++) {
                    for (j = i + 1; j < arr2.length; j++) {
                        if (arr2[i] < arr2[j]) {
                            i = j;
                        }
                    }
                }
                var result = arr[i];
                alert("the greater even number is: " + result);
            } else {
                alert("data not available to fetch");
            }
        }
    </script>

</body>

</html>